Skip to main content
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
{jobUid}
/
split
Split job
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/split \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "byDocumentPart": true,
  "partCount": 123,
  "partSize": 123,
  "segmentOrdinals": [
    123
  ],
  "splitAllWorkflowSteps": true,
  "wordCount": 123
}
'
{
  "jobs": [
    {
      "continuous": true,
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateDue": "2023-11-07T05:31:56Z",
      "filename": "<string>",
      "imported": true,
      "jobAssignedEmailTemplate": {},
      "notificationIntervalInMinutes": 123,
      "providers": [
        {
          "type": "<string>",
          "id": "<string>",
          "uid": "<string>"
        }
      ],
      "sourceFileUid": "<string>",
      "status": "NEW",
      "targetLang": "<string>",
      "uid": "<string>",
      "updateSourceDate": "2023-11-07T05:31:56Z",
      "workflowLevel": 123,
      "workflowStep": {
        "id": "<string>",
        "lqaEnabled": true,
        "name": "<string>",
        "order": 123,
        "uid": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required
jobUid
string
required

Body

application/json
byDocumentPart
boolean

Can be used only for PowerPoint files

partCount
integer<int32>
partSize
integer<int32>
segmentOrdinals
integer<int64>[]
Required array length: 1 - 2147483647 elements
splitAllWorkflowSteps
boolean

Split in all workflow steps (default: false)

wordCount
integer<int32>

Response

successful operation

jobs
object[]